# --- begin comments by J. Stolfi --------------------------
# Last edited on 1998-10-09 22:19:51 by stolfi
#
# Various changes made to Gabriel Landini's interlinear file v1.6.
# Jorge Stolfi 12 Oct 1997 -- 05 Nov 1997 -- 02 May 1988
# 10 Oct 1998
#
# * I added various new transcriptions, mainly by John Grove
#   and myself, plus some items by R. Zandbergen and R. Firth. That
#   meant creating many new text units and sometimes splitting or
#   renaming existing ones.
# 
# * I moved all comments relating to a specific unit
#   to the beginning of that unit. Sometimes this required splitting,
#   rearranging, or otherwise editing the comments.
#
# * I removed all comments of the form "# page NNN" 
#   since the numbering was inconsistent with the binding order. (For
#   one thing, the last page f116v, which should be even, was
#   numbered 235).
#   
# * I added many comments where it seemed appropriate.
#   In particular I standardized the format of the page description
#   files (e.g. "f47r", without extension) and added to them
#   several scattered databases (such as Jim Reeds's color
#   usage tables, Petersen's plant names, etc.)
# 
# * I replaced the word "folio" by "panel" or "page" where
#   it meant only one face of a folio (or one part of a multi-part
#   fold-out).
#   
# * I regularized many location codes for labels and radial lines,
#   and made them resemble regular text locations.  To each *set* of
#   labels in a text unit (e.g. all the stars, or all the spokes) I
#   assigned a single location code.  I then assigned to each line of
#   each label a serial number starting from 1 (sometimes 0). Two or
#   more lines belonging to the same label got consecutive
#   numbers. (However, I may have failed to split some multiline
#   labels where the breaks are indicated by embedded "-"s and
#   comments.)
# 
# * I appended a "=" to the end of each label and isolated text line.  
#   
# * I inserted a "-" between multiple lines belonging to 
#   the same label, and at places where a label was interrupted by 
#   vellum defects or graphical material (plants, stars, etc.).
#   
# * I edited the location codes <...> of the labels so 
#   that all transcriptions of the same label now have the same
#   location code. I retained the original location codes as "{}"
#   comments at the end of each line.
#   
# * I replaced the "anonymous" location (prose-like text) 
#   by and explicit "P" location, or "P1" and "P2" in pages
#   where the prose text was broken by labels or other text type.
#   Exception: on f66r (the three-way table), I used "R" for the 
#   anonymous locus (the right-hand column).
# 
# * I replaced the line numbers "a" and "b" to "0a" and "0b",
#   so that the line number now always begins with digit.
#   
# * I replaced all "location declarations" (lines containing
#   only a location code <...> and no Voynich text)
#   by special "#" comments, almost compatible with 
#   R. Zandbergen's VTX tool. These comments have the form
#
#       ## <fNNN>        {$I=i $Q=q $P=p $L=l $H=h $X=x}
#
#   where 
#     
#       "NNN" is a panel number (folio,side, and division, e.g f86v3)
#       "i"   is the section code ("T" for text, "H" for herbal, etc.);
#       "q"   is the quire code, a letter in [A-T];
#       "p"   is a letter in [A-Z] identifying the panel within the quire;
#       "l"   is the "language" in Currier's sense, "A" or "B";
#       "h"   is the calligraphic "hand", a character in [1-5XY];
#       "x"   is a miscellaneous attribute (a letter). 
#
#   The "$L" and "$H" attributes are omitted when unknown.
#   The "$X" attribute is present only for page f17r, which 
#   is marked "$X=U" (for the extraneous writing?).
#
#   Note that there are some discrepancies between these "$I"
#   attributes and the section recorded in Stolfi's UNITS file. The
#   latter is more conservative, and assigns section "?" to some
#   text-only pages whose "$I"-codes were apparently assigned by
#   analogy with adjacent pages.
#     
# * I created dummy files for all the missing pages (as deduced from 
#   the folio numbers in the VMs itself).  For that purpose, I assumed
#   each missing folio had only two panels (recto and verso), and
#   arbitrarily assigned them "$P"-codes higher than the "non-missing"
#   panels, and section "$I"-code "M" (for "missing").
#   
# * I replaced some non-FSG characters by "*" or valid FSG characters, 
#   as it seemed appropriate, usually leaving the original as an {}-comment.
#   
# * I fixed a few missing or bogus "-" and "=".
#
# * I fixed several typos, mostly cases where the last 
#   character of a line was omitted and entered as a separate word on
#   the following line.  (These errors were almost all in Friedman's
#   transcription.)
#
# --- end comments by J. Stolfi ----------------------------

